Skip to main content
GET
Get splits
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Description

Get All Revenue Split Configurations The Get All Revenue Split Configurations endpoint allows you to retrieve a list of revenue split configurations based on specified filters and pagination. Authorization:
  • Required role: user or higher
Method: GET Query Parameters:

Code Examples

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Query Parameters

page
integer
default:1

The page number for pagination

size
integer
default:10

The number of items per page

include
string

Specify 'count' to include the total count of items

asset
string<uuid>

Filter by asset UUID

product
string<uuid>

Filter by product UUID

type
string

Filter by revenue split type

user
string<uuid>

Filter by user UUID

q
string

Search query

hasConditions
boolean

Filter splits by whether they have conditions. true = only splits with conditions, false = only splits without conditions

sort
string

Field to sort by

order
enum<string>

Sort order (asc/desc)

Available options:
asc,
desc
includeCoverage
boolean
default:false

Include temporal coverage analysis for splits with date ranges

Response

Successfully retrieved splits

totalItems
integer

Total number of split configurations

Splits
object[]